Skip to content
Release: Australia · Updated: 2026-03-12 · Official documentation · View source

REST API HTTP response codes

REST messages sent to an instance return a specific HTTP response code.

Status CodeMessageDetails
200SuccessSuccess with response body.
201CreatedSuccess with response body.
204SuccessSuccess with no response body.
400Bad RequestThe request URI does not match the APIs in the system, or the operation failed for unknown reasons. Invalid headers can also cause this error.
401UnauthorizedThe user is not authorized to use the API.
403ForbiddenThe requested operation is not permitted for the user. This error can also be caused by ACL failures, or business rule or data policy constraints.
404Not foundThe requested resource was not found. This can be caused by an ACL constraint or if the resource does not exist.
405Method not allowedThe HTTP action is not allowed for the requested REST API, or it is not supported by any API.
406Not acceptableThe endpoint does not support the response format specified in the request Accept header.
415Unsupported media typeThe endpoint does not support the format of the request body.
500Internal server errorAn unexpected error occurred while processing the request. The response contains additional information about the error.
502Bad gatewayThe server, while acting as a gateway or proxy, received an invalid response from the upstream server.
503Service unavailableThe server is currently unable to handle the request.

Parent Topic:REST APIs